Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estella.lib
Class Payload

    java.lang.Object
      estella.lib.Payload

    public class Payload

extends java.lang.Object

Gerencia payload

Since:
  21/11/2005

Constructor Summary
`Payload()`
`Payload(int tipo, byte[] payload)` Instancia com um novo payload

Method Summary
`int` | `byteToint(byte b)` Transforma um byte em inteiro
`byte[]` | `concatenaHits(byte[] hit1, byte[] hit2)` Concatena 2 hits (vetor de bytes)
`byte[]` | `hit(int index, int tam_arquivo, java.lang.String nome)` Transforma em um vetor de byte um hit passado na forma de string
`byte[]` | `ping()` Payload PING 0x00
`byte[]` | `pong(int porta, java.lang.String host, int n_arq_comp, int tam_arq_comp)` Payload PONG 0x01 Estrutura: |porta|host|n_arq_comp|tam_arq_comp| |--|-----|-----|-----| |2|4|4|4| (bytes) Todos inteiros em little-endian
`java.lang.String` | `pongIp()` Retorna o ip do payload pong
`int` | `pongNumArqComp()` Retorna o numero de arquivos compartilhados descrito dentro do payload pong
`int` | `pongPorta()` Retorna a porta do payload pong
`int` | `pongTamArqComp()` Retorna o tamanho dos arquivos compartilhados descrito dentro do payload pong
`byte[]` | `query(int min_velocidade, java.lang.String busca)` Payload Query 0x080
`byte[]` | `queryhits(int hits, int porta, java.lang.String host, byte[] resultset)` Gera Payload QueryHits (0x81)
`java.lang.String` | `queryhitsIp()` Retorna o ip que esta dentro dopayload queryhits
`int` | `queryhitsNum()` Retorna o numero de hist do payload query
`int` | `queryhitsPorta()` Retorna a porta do payload queryhits
`byte[]` | `queryhitsResultset()` Retorna o resultset do queryhits
`int` | `queryMinVelocidade()` Retorna a velocidade minina que esta dentro do payload query
`java.lang.String` | `queryTermo()` Retorna o termo de pesquisa que esta dentro do payload query
`java.lang.String` | `retornaHit(int numHits, byte[] resultset)` Retorna os hits encontrados em um resultset do payload queryhits

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Payload

    public Payload()

### Payload

    public Payload(int tipo,
                   byte[] payload)

  Instancia com um novo payload

  Parameters:
    `tipo` -
    `payload` -

Method Detail

### ping

    public byte[] ping()

  Payload PING 0x00

  Returns:
    PING - byte zerado

### pong

    public byte[] pong(int porta,
                       java.lang.String host,
                       int n_arq_comp,
                       int tam_arq_comp)

  Payload PONG 0x01 Estrutura: |porta|host|n_arq_comp|tam_arq_comp|
  |--|-----|-----|-----|
  |2|4|4|4| (bytes) Todos inteiros em little-endian

  Parameters:
    `porta` - inteiro com a porta
    `host` - String com o host
    `n_arq_comp` - inteiro com o numero de arquivos compartilhados
    `tam_arq_comp` - inteiro com o tamanho total desses arquivos compartilhados
  Returns:
    byte[] vetor com os bytes do payload

### pongIp

    public java.lang.String pongIp()

  Retorna o ip do payload pong

  Returns:
    String com o ip do payload pong

### pongPorta

    public int pongPorta()

  Retorna a porta do payload pong

  Returns:
    int

### byteToint

    public int byteToint(byte b)

  Transforma um byte em inteiro

### pongNumArqComp

    public int pongNumArqComp()

  Retorna o numero de arquivos compartilhados descrito dentro do payload pong

  Returns:
    int

### pongTamArqComp

    public int pongTamArqComp()

  Retorna o tamanho dos arquivos compartilhados descrito dentro do payload pong

  Returns:
    int

### query

    public byte[] query(int min_velocidade,
                        java.lang.String busca)

  Payload Query 0x080

  Parameters:
    `min_velocidade` - inteiro com a velocidade minima
    `busca` - String com a sentenca de caracteres a ser buscada
  Returns:
    query - array de bytes com o payload do tipo query

### queryTermo

    public java.lang.String queryTermo()

  Retorna o termo de pesquisa que esta dentro do payload query

  Returns:
    String

### queryMinVelocidade

    public int queryMinVelocidade()

  Retorna a velocidade minina que esta dentro do payload query

  Returns:
    int

### queryhits

    public byte[] queryhits(int hits,
                            int porta,
                            java.lang.String host,
                            byte[] resultset)

  Gera Payload QueryHits (0x81)

  Parameters:
    `int` - hits
    `int` - porta
    `String` - host
    `byte[]` - resultset
  Returns:
    byte[] queryhits

### queryhitsNum

    public int queryhitsNum()

  Retorna o numero de hist do payload query

  Returns:
    int

### queryhitsPorta

    public int queryhitsPorta()

  Retorna a porta do payload queryhits

  Returns:
    int

### queryhitsIp

    public java.lang.String queryhitsIp()

  Retorna o ip que esta dentro dopayload queryhits

  Returns:
    String

### queryhitsResultset

    public byte[] queryhitsResultset()

  Retorna o resultset do queryhits

  Returns:
    byte[] vetor com bytes do resultset

### retornaHit

    public java.lang.String retornaHit(int numHits,
                                       byte[] resultset)

  Retorna os hits encontrados em um resultset do payload queryhits

  Parameters:
    `int` - numero de hits
    `byte[]` - resultset
  Returns:
    String

### hit

    public byte[] hit(int index,
                      int tam_arquivo,
                      java.lang.String nome)

  Transforma em um vetor de byte um hit passado na forma de string

  Parameters:
    `int` - index do arquivo
    `String` - tam_arquivo
    `String` - nome
  Returns:
    byte[] hit do queryhits

### concatenaHits

    public byte[] concatenaHits(byte[] hit1,
                                byte[] hit2)

  Concatena 2 hits (vetor de bytes)

  Parameters:
    `byte[]` - hit1
    `byte[]` - hit2
  Returns:
    byte[] com o vetor 1 e 2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD